GLCLEARSTENCIL(3G) |  | GLCLEARSTENCIL(3G)

# NAME

glClearStencil - specify the clear value for the stencil buffer

# C SPECIFICATION

void glClearStencil( GLint s )
delim$$

# PARAMETERS

s
  Specifies the index used when the stencil buffer is cleared. The initial value is 0.

# DESCRIPTION

glClearStencil specifies the index used by glClear to clear the stencil buffer. s is masked with $2 sup m^-^1$, where $m$ is the number of bits in the stencil buffer.

# ERRORS

GL_INVALID_OPERATION is generated if glClearStencil is executed between the execution of glBegin and the corresponding execution of glEnd.

# ASSOCIATED GETS

glGet with argument GL_STENCIL_CLEAR_VALUE
glGet with argument GL_STENCIL_BITS

# SEE ALSO

glClear(3G), glStencilFunc(3G), glStencilOp(3G), glStencilMask(3G)